func xb( fmodel, rrxo, rsig, oaa )
/* DOCUMENT newname = xb( fmodel, rrxo, rsig, oaa )

   rrxo = 100*rrxorough, rsig = 100*rsigma
   oaa is one of 120, 240, and 318
*/
{
   fmstr = "FM"+itoa(fmodel);
   jv_name = "Eff_area_"+fmstr+"_v12_at004i000g_rdmin1.0_rdmax1.0_rrxorough"+ftoa(rrxo*0.01,ndec=2);
   jv_name += "_rsigma"+ftoa(rsig*0.01,ndec=2)+".fits";
   if( file_test(jv_name) ) {
      write,"Found "+jv_name;
   } else {
      write,"Did not find "+jv_name;
      return;
   }
   dol = jv_name+"+1";
   offaxis = rdfitscol(dol,"offaxis")(2:0);
   arr = rdfitscol(dol,"eff_area");
   ener = arr(,1);
   arr = arr(,2:0);
   i = where(near(offaxis,oaa,0.5))(1);
   write,"i = "+itoa(i);
   newname = "fm"+itoa(fmodel)+"_"+itoa(rrxo)+itoa(rsig)+"_"+itoa(oaa)+".fits";
   kwds_init;
   kwds_setlongstr,"INPUTFIL",jv_name,"Original bundle file";
   kwds_set, "OFFAXIS", offaxis(i)/60,"[arcmin] Off axis angle";
   kwds_set,"OAA", oaa,"[arcsec] Off axis angle";
   kwds_set,"TUNIT1","keV","Unit for energy column";
   kwds_set,"TUNIT2","cm2","Unit for effective area column";
   wrmfitscols,newname,"ENERGY",ener,"EFF_AREA",arr(,i),clobber=1;
   return fullpath(newname);
}

